# Uses of Class
org.apache.lucene.index.Fields

Packages that use Fields
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene103.blocktree
BlockTree terms dictionary.
org.apache.lucene.codecs.lucene90.compressing
Lucene 9.0 compressing format.
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of Fields in org.apache.lucene.codecs

  Subclasses of Fields in org.apache.lucene.codecs
  Modifier and Type
  Class
  Description
  `class`
  `FieldsProducer`
  Abstract API that produces terms, doc, freq, prox, offset and payloads postings.
  Methods in org.apache.lucene.codecs with parameters of type Fields
  Modifier and Type
  Method
  Description
  `protected final void`
  TermVectorsWriter.`addAllDocVectors(Fields vectors, MergeState mergeState)`
  Safe (but, slowish) default method to write every vector field in the document.
  `abstract void`
  FieldsConsumer.`write(Fields fields, NormsProducer norms)`
  Write all fields, terms and postings.

- ## Uses of Fields in org.apache.lucene.codecs.lucene103.blocktree

  Subclasses of Fields in org.apache.lucene.codecs.lucene103.blocktree
  Modifier and Type
  Class
  Description
  `final class`
  `Lucene103BlockTreeTermsReader`
  A block-based terms index and dictionary that assigns terms to variable length blocks according to how they share prefixes.
  Methods in org.apache.lucene.codecs.lucene103.blocktree with parameters of type Fields
  Modifier and Type
  Method
  Description
  `void`
  Lucene103BlockTreeTermsWriter.`write(Fields fields, NormsProducer norms)`

- ## Uses of Fields in org.apache.lucene.codecs.lucene90.compressing

  Methods in org.apache.lucene.codecs.lucene90.compressing that return Fields
  Modifier and Type
  Method
  Description
  `Fields`
  Lucene90CompressingTermVectorsReader.`get(int doc)`

- ## Uses of Fields in org.apache.lucene.index

  Subclasses of Fields in org.apache.lucene.index
  Modifier and Type
  Class
  Description
  `static class`
  `FilterLeafReader.FilterFields`
  Base class for filtering `Fields` implementations.
  `class`
  `MappedMultiFields`
  A `Fields` implementation that merges multiple Fields into one, and maps around deleted documents.
  `final class`
  `MultiFields`
  Provides a single `Fields` term index view over an `IndexReader`.
  Fields in org.apache.lucene.index declared as Fields
  Modifier and Type
  Field
  Description
  `static final Fields[]`
  Fields.`EMPTY_ARRAY`
  Zero-length `Fields` array.
  `protected final Fields`
  FilterLeafReader.FilterFields.`in`
  The underlying Fields instance.
  Methods in org.apache.lucene.index that return Fields
  Modifier and Type
  Method
  Description
  `abstract Fields`
  TermVectors.`get(int doc)`
  Returns term vectors for this document, or null if term vectors were not indexed.
  Constructors in org.apache.lucene.index with parameters of type Fields
  Modifier
  Constructor
  Description
  `protected`
  `FilterFields(Fields in)`
  Creates a new FilterFields.
  ``
  `MultiFields(Fields[] subs, ReaderSlice[] subSlices)`
  Sole constructor.